---
title: Disable a default inbox rule
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Disable a default inbox rule{% #disable-a-default-inbox-rule %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                                 |
| ----------------- | ------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |

### Overview

Disable a default inbox rule for the current organization. This endpoint requires the `security_pipelines_write` permission.

### Arguments

#### Path Parameters

| Name                      | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| rule_id [*required*] | string | The ID of the default inbox rule. Known default rule IDs include: `identity_risk_default_rule`, `secret_default_rule`, `library_vulnerability_default_rule`, `attack_path_default_rule`, `host_and_container_vulnerability_default_rule`, `runtime_code_vulnerability_default_rule`, `iac_misconfiguration_default_rule`, and `misconfiguration_default_rule`. Datadog can add new default rules over time. |

### Response

{% tab title="200" %}
Successfully disabled the default inbox rule
{% tab title="Model" %}
A single default inbox rule response.

| Parent field | Field                           | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------ | ------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object   | The data object for a default inbox rule returned by the API.                                                                                                                                                                                                                                                                                                                                               |
| data         | attributes [*required*]    | object   | Attributes of a default inbox rule returned by the API.                                                                                                                                                                                                                                                                                                                                                     |
| attributes   | action [*required*]        | object   | The action to take when the inbox rule matches a finding.                                                                                                                                                                                                                                                                                                                                                   |
| action       | description                     | string   | An optional description providing more context for the rule.                                                                                                                                                                                                                                                                                                                                                |
| attributes   | created_at [*required*]    | int64    | The Unix timestamp in milliseconds when the rule definition was created. The definition is authored by Datadog.                                                                                                                                                                                                                                                                                             |
| attributes   | created_by [*required*]    | object   | The user or Datadog system who created the rule.                                                                                                                                                                                                                                                                                                                                                            |
| created_by   | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                                                                                                                                |
| created_by   | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                                                                                                                                      |
| created_by   | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                                                                                                                                       |
| attributes   | enabled [*required*]       | boolean  | Whether the default inbox rule is enabled for the organization.                                                                                                                                                                                                                                                                                                                                             |
| attributes   | modified_at [*required*]   | int64    | The Unix timestamp in milliseconds when the rule was last modified.                                                                                                                                                                                                                                                                                                                                         |
| attributes   | modified_by [*required*]   | object   | The user or Datadog system who last modified the rule.                                                                                                                                                                                                                                                                                                                                                      |
| modified_by  | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                                                                                                                                |
| modified_by  | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                                                                                                                                      |
| modified_by  | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                                                                                                                                       |
| attributes   | name [*required*]          | string   | The name of the default inbox rule.                                                                                                                                                                                                                                                                                                                                                                         |
| attributes   | rule [*required*]          | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                                                                                                                                         |
| rule         | finding_types [*required*] | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                                                                                                                                     |
| rule         | query                           | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md).                                                                                                                |
| data         | id [*required*]            | string   | The ID of the default inbox rule. Known default rule IDs include: `identity_risk_default_rule`, `secret_default_rule`, `library_vulnerability_default_rule`, `attack_path_default_rule`, `host_and_container_vulnerability_default_rule`, `runtime_code_vulnerability_default_rule`, `iac_misconfiguration_default_rule`, and `misconfiguration_default_rule`. Datadog can add new default rules over time. |
| data         | type [*required*]          | enum     | The JSON:API type for default inbox rules. Allowed enum values: `default_inbox_rules`                                                                                                                                                                                                                                                                                                                       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": {
        "description": "Needs triage"
      },
      "created_at": 1722439510282,
      "created_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "enabled": true,
      "modified_at": 1722439510282,
      "modified_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "name": "Secrets",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:prod team:platform"
      }
    },
    "id": "secret_default_rule",
    "type": "default_inbox_rules"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export rule_id="secret_default_rule" \# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"  \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/${rule_id}/disable" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
##### 

```python
"""
Disable a default inbox rule returns "Successfully disabled the default inbox rule" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.security_monitoring_api import SecurityMonitoringApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
configuration.unstable_operations["disable_security_findings_automation_default_inbox_rule"] = True
with ApiClient(configuration) as api_client:
    api_instance = SecurityMonitoringApi(api_client)
    response = api_instance.disable_security_findings_automation_default_inbox_rule(
        rule_id="secret_default_rule",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
##### 

```ruby
# Disable a default inbox rule returns "Successfully disabled the default inbox rule" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
  config.unstable_operations["v2.disable_security_findings_automation_default_inbox_rule".to_sym] = true
end
api_instance = DatadogAPIClient::V2::SecurityMonitoringAPI.new
p api_instance.disable_security_findings_automation_default_inbox_rule("secret_default_rule")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
##### 

```go
// Disable a default inbox rule returns "Successfully disabled the default inbox rule" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.DisableSecurityFindingsAutomationDefaultInboxRule", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSecurityMonitoringApi(apiClient)
	resp, r, err := api.DisableSecurityFindingsAutomationDefaultInboxRule(ctx, "secret_default_rule")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SecurityMonitoringApi.DisableSecurityFindingsAutomationDefaultInboxRule`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SecurityMonitoringApi.DisableSecurityFindingsAutomationDefaultInboxRule`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
##### 

```java
// Disable a default inbox rule returns "Successfully disabled the default inbox rule" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SecurityMonitoringApi;
import com.datadog.api.client.v2.model.DefaultInboxRuleResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    defaultClient.setUnstableOperationEnabled(
        "v2.disableSecurityFindingsAutomationDefaultInboxRule", true);
    SecurityMonitoringApi apiInstance = new SecurityMonitoringApi(defaultClient);

    try {
      DefaultInboxRuleResponse result =
          apiInstance.disableSecurityFindingsAutomationDefaultInboxRule("secret_default_rule");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling"
              + " SecurityMonitoringApi#disableSecurityFindingsAutomationDefaultInboxRule");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
##### 

```rust
// Disable a default inbox rule returns "Successfully disabled the default inbox
// rule" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_security_monitoring::SecurityMonitoringAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled(
        "v2.DisableSecurityFindingsAutomationDefaultInboxRule",
        true,
    );
    let api = SecurityMonitoringAPI::with_config(configuration);
    let resp = api
        .disable_security_findings_automation_default_inbox_rule("secret_default_rule".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Disable a default inbox rule returns "Successfully disabled the default inbox rule" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
configuration.unstableOperations[
  "v2.disableSecurityFindingsAutomationDefaultInboxRule"
] = true;
const apiInstance = new v2.SecurityMonitoringApi(configuration);

const params: v2.SecurityMonitoringApiDisableSecurityFindingsAutomationDefaultInboxRuleRequest =
  {
    ruleId: "secret_default_rule",
  };

apiInstance
  .disableSecurityFindingsAutomationDefaultInboxRule(params)
  .then((data: v2.DefaultInboxRuleResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"
{% /tab %}
